우분투 구버전을 사용하는 경우 apt-get 명령을 치면 404나 403 에러가 나는 경우가 있다.


이유는 ubuntu 구버전에 대한 지원이 종료 되었기 때문인데. 


apt repository 를 변경하는 것으로 해결할 수 있다.


 sudo sed -i 's,http://.*ubuntu.com,http://old-releases.ubuntu.com,g' sources.list

 sudo sed -i -e 's/archive.ubuntu.com\|security.ubuntu.com/old-releases.ubuntu.com/g' /etc/apt/sources.list

 sudo sed -i 's,http://.*ftp.daum.net,http://old-releases.ubuntu.com,g' sources.list

 

/etc/apt/sources.list의 서버를 old-releases.ubuntu.com로 변경하면 된다.


$ cd /etc/apt

$ sudo cp sources.list sources.list.old (백업해둔다.)

$ sudo sed -i 's,http://.*ubuntu.com,http://old-releases.ubuntu.com,g' sources.list

$ sudo sed -i -e 's/archive.ubuntu.com\|security.ubuntu.com/old-releases.ubuntu.com/g' /etc/apt/sources.list

$ sudo sed -i 's,http://.*ftp.daum.net,http://old-releases.ubuntu.com,g' sources.list


이렇게 하면 된다.




To upgrade to a new release:

Once you have performed the above steps to switch to the old-releases mirrors, update the Update Manager and then do do-release-upgrade:


sudo apt-get update

sudo apt-get install update-manager-core

sudo do-release-upgrade

Posted by Real_G